---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libFastGetField.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Java_FastGetField_initFieldIDs, symObjAddr: 0x0, symBinAddr: 0x3674, symSize: 0x1DC }
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _fieldIDs.0, symObjAddr: 0xE000, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x58, offset: 0x58, size: 0x8, addend: 0x0, symName: _fieldIDs.1, symObjAddr: 0xE008, symBinAddr: 0x8028, symSize: 0x0 }
  - { offsetInCU: 0x63, offset: 0x63, size: 0x8, addend: 0x0, symName: _fieldIDs.2, symObjAddr: 0xE010, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x6E, offset: 0x6E, size: 0x8, addend: 0x0, symName: _fieldIDs.3, symObjAddr: 0xE018, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x79, offset: 0x79, size: 0x8, addend: 0x0, symName: _fieldIDs.4, symObjAddr: 0xE020, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x84, offset: 0x84, size: 0x8, addend: 0x0, symName: _fieldIDs.5, symObjAddr: 0xE028, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8F, offset: 0x8F, size: 0x8, addend: 0x0, symName: _fieldIDs.6, symObjAddr: 0xE030, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x9A, offset: 0x9A, size: 0x8, addend: 0x0, symName: _fieldIDs.7, symObjAddr: 0xE038, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0xD2, offset: 0xD2, size: 0x8, addend: 0x0, symName: _objHandle, symObjAddr: 0xE048, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0x106, offset: 0x106, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0xE040, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x58B9, offset: 0x58B9, size: 0x8, addend: 0x0, symName: _fieldAccessCount, symObjAddr: 0xE050, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x58C2, offset: 0x58C2, size: 0x8, addend: 0x0, symName: _Java_FastGetField_initFieldIDs, symObjAddr: 0x0, symBinAddr: 0x3674, symSize: 0x1DC }
  - { offsetInCU: 0x59E7, offset: 0x59E7, size: 0x8, addend: 0x0, symName: _Java_FastGetField_initWatchers, symObjAddr: 0x1DC, symBinAddr: 0x3850, symSize: 0x158 }
  - { offsetInCU: 0x5AF8, offset: 0x5AF8, size: 0x8, addend: 0x0, symName: _Java_FastGetField_registerGlobal, symObjAddr: 0x334, symBinAddr: 0x39A8, symSize: 0x28 }
  - { offsetInCU: 0x5B55, offset: 0x5B55, size: 0x8, addend: 0x0, symName: _Java_FastGetField_registerWeak, symObjAddr: 0x35C, symBinAddr: 0x39D0, symSize: 0x28 }
  - { offsetInCU: 0x5BB2, offset: 0x5BB2, size: 0x8, addend: 0x0, symName: _Java_FastGetField_accessFields, symObjAddr: 0x384, symBinAddr: 0x39F8, symSize: 0x12C }
  - { offsetInCU: 0x5CD0, offset: 0x5CD0, size: 0x8, addend: 0x0, symName: _Java_FastGetField_accessFieldsViaHandle, symObjAddr: 0x4B0, symBinAddr: 0x3B24, symSize: 0x130 }
  - { offsetInCU: 0x5DEC, offset: 0x5DEC, size: 0x8, addend: 0x0, symName: _Java_FastGetField_getFieldAccessCount, symObjAddr: 0x5E0, symBinAddr: 0x3C54, symSize: 0xC }
  - { offsetInCU: 0x5E22, offset: 0x5E22, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x5EC, symBinAddr: 0x3C60, symSize: 0xE8 }
  - { offsetInCU: 0x60DF, offset: 0x60DF, size: 0x8, addend: 0x0, symName: _onFieldAccess, symObjAddr: 0x6D4, symBinAddr: 0x3D48, symSize: 0x100 }
...
